// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include <HsFFI.h>
#include "TheracAdapterComponent.generated.h"



UCLASS( ClassGroup=(Custom), meta=(BlueprintSpawnableComponent) )
class HSTHERAC25_API UTheracAdapterComponent : public UActorComponent
{
	GENERATED_BODY()

	HsStablePtr wrappedComms;

public:	
	// Sets default values for this component's properties
	UTheracAdapterComponent();

protected:
	// Called when the game starts
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void TickComponent(float DeltaTime, ELevelTick TickType, FActorComponentTickFunction* ThisTickFunction) override;

		
};
