// Fill out your copyright notice in the Description page of Project Settings.

#include "ModeInputTextBox.h"

void UModeInputTextBox::HandleOnTextChanged(FText const & inText) {
  auto & s      = inText.ToString();
  auto lastChar = s.LeftChop(1);
  lastChar.ToUpperInline();
  if (!lastChar.IsEmpty()) {

    switch (myTarget) {
    case THSModeTarget::Energy:
      switch (lastChar[0]) {
      case 'E':
        break;
      case 'X':
        break;
      default:
        break;
      }
      break;
    case THSModeTarget::OpMode:
      switch (lastChar[0]) {
      case 'T':
        break;
      case 'R':
        break;
      case 'P':
        break;
      }
      break;
    default:
      break;
    }
  }
  SetText(FText::FromString(lastChar));
}
