// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "Blueprint/UserWidget.h"
#include "CoreMinimal.h"
#include <Components/TextBlock.h>
#include "MyUserWidget.generated.h"

/**
 *
 */
UCLASS()
class MYPROJECT_API UMyUserWidget : public UUserWidget {

  GENERATED_BODY()

  UPROPERTY(meta = (BindWidget))
  UTextBlock * opIdTextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * URM_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * MU_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * Time_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * GR_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * CR_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * ColX_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * ColY_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * WR_TextBlock;

  UPROPERTY(meta = (BindWidget))
  UTextBlock * AN_TextBlock;

    void NativeOnInitialized() override;
};
